RegistryVersionhistory
Get a specific history item
Get a single version history entry by its operation ID. The full data payload of the entity at that point in time can optionally be included.
X-Clinia-API-Key<token>
In: header
Path Parameters
sourceKey*string
The source key.
collectionType*string
The type of the collection.
Value in
- "resources"
- "relationships"
collectionKey*string
The key of the collection.
itemId*string
The id of the item.
operationId*string
The unique ID of the operation entry.
Query Parameters
withPayload?boolean
If true, the full entity payload related to the operationId will be included in the response.
Default
falseResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/sources/string/v1/history/resources/string/string/operations/string"{ "id": "string", "type": "string", "targetType": "resources", "operationId": "string", "taskId": "string", "timestamp": "2019-08-24T14:15:22Z", "action": "CREATE", "userInfo": { "id": "string", "email": "string" }, "payload": { "id": "string", "type": "string", "meta": { "createdAt": "2019-08-24T14:15:22Z", "identifier": [ { "id": "string", "system": "string", "value": "string", "use": "string", "period": { "id": "string", "start": "string", "end": "string" } } ], "source": "string", "updatedAt": "2019-08-24T14:15:22Z" }, "data": {}, "contained": { "property1": [ { "id": "string", "type": "string", "meta": { "createdAt": "2019-08-24T14:15:22Z", "identifier": [ { "id": "string", "system": "string", "value": "string", "use": "string", "period": { "id": "string", "start": "string", "end": "string" } } ], "source": "string", "updatedAt": "2019-08-24T14:15:22Z" }, "data": {} } ], "property2": [ { "id": "string", "type": "string", "meta": { "createdAt": "2019-08-24T14:15:22Z", "identifier": [ { "id": "string", "system": "string", "value": "string", "use": "string", "period": { "id": "string", "start": "string", "end": "string" } } ], "source": "string", "updatedAt": "2019-08-24T14:15:22Z" }, "data": {} } ] } }}